class Coche:

    def __init__(self, velocidad=0):
        self.velocidad = velocidad
        self.cuentakilometro = 0
        self.tiempo = 0

    def decir_estado(self):
        print("¡Voy a {} kph!".format(self.velocidad))

    def acelerar(self):
        self.velocidad += 5

    def frenar(self):
        if self.velocidad < 5:
            self.velocidad = 0
        else:
            self.velocidad -= 5

    def paso(self):
        self.cuentakilometro += self.velocidad
        self.tiempo += 1

    def velocidad_media(self):
        return self.cuentakilometro / self.tiempo
       


if __name__ == '__main__':

    mi_coche = Coche()
    print("¡Soy un coche!")
    while True:
        accion = input("¿Qué quieres que haga? ¿[A]celerar, [F]renar, "
                 "mostrar [C]uentakilómetros, o mostrar la [V]elocidad media?").upper()
        if accion not in "AFCV" or len(accion) != 1:
            print("No sé hacer eso")
            continue
        if accion == 'A':
            mi_coche.acelerar()
        elif accion == 'F':
            mi_coche.frenar()
        elif accion == 'C':
            print("El coche ha recorrido {} kilómetros".format(mi_coche.cuentakilometro))
        elif accion == 'V':
            print("La velocidad media del coche ha sido {} kph".format(mi_coche.velocidad_media()))
        mi_coche.paso()
        mi_coche.decir_estado()